# Uses of Interface
org.apache.lucene.search.CheckedIntConsumer

Packages that use CheckedIntConsumer
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

- ## Uses of CheckedIntConsumer in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type CheckedIntConsumer
  Modifier and Type
  Method
  Description
  `abstract void`
  DocIdStream.`forEach(int upTo, CheckedIntConsumer<IOException> consumer)`
  Iterate over doc IDs contained in this doc ID stream up to the given `upTo` exclusive, calling the given `CheckedIntConsumer` on them.
  `void`
  DocIdStream.`forEach(CheckedIntConsumer<IOException> consumer)`
  Iterate over doc IDs contained in this stream in order, calling the given `CheckedIntConsumer` on them.

- ## Uses of CheckedIntConsumer in org.apache.lucene.util

  Methods in org.apache.lucene.util with parameters of type CheckedIntConsumer
  Modifier and Type
  Method
  Description
  `void`
  FixedBitSet.`forEach(int from, int to, int base, CheckedIntConsumer<IOException> consumer)`
  For each set bit from `from` inclusive to `to` exclusive, add `base` to the bit index and call `consumer` on it.